Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::InflateSource Class Reference
Ipe Utilities

Filter source adding flate decompression. More...

`#include <ipeutils.h>`

Inherits ipe::DataSource.

List of all members.

## Public Member Functions

- InflateSource (DataSource &source)
- virtual ~InflateSource ()
- virtual int getChar ()

## Detailed Description

Filter source adding flate decompression.

## Constructor & Destructor Documentation

InflateSource::InflateSource | ( | DataSource & | source | ) |

InflateSource::~InflateSource | ( |  | ) | `[virtual]`

## Member Function Documentation

int InflateSource::getChar | ( |  | ) | `[virtual]`

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp